View Issue Details

IDProjectCategoryView StatusLast Update
0025249LazarusLCLpublic2015-02-05 04:27
ReporterKarl-Michael SchindlerAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformcarbon lclOSMac OS XOS Version10.6.8
Product Version1.0.12Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025249: Stringrid editing becomes borked, when Options -> GoAlwaysShowEditor is set to true
DescriptionUnder some conditions editing the StringGrid becomes borked.

You can edit one field, move to the next with tag, arrow or return and then you are stuck in that field. clicking on top header columns for sorting, the content of some fields is moved to wrong columns.

It happens with a new project, new form and new stringgrid

when Options -> GoAlwaysShowEditor is set to true

I checked on Mac OS X with carbon based lcl and windows. It is fine on windows.
Additional InformationAlso true for version 1.3 (SVN)
TagsNo tags attached.
Fixed in Revision46512
LazTarget1.4
WidgetsetCarbon
Attached Files

Relationships

related to 0022542 resolvedJesus Reyes TStringGrid in Version Info tab still does not work 

Activities

Bart Broersma

2013-10-29 13:24

developer   ~0071022

Please attach a sample project (sources only) demonstrating the problem.

Jesus Reyes

2013-10-29 18:44

developer   ~0071026

Thanks Bart, the sample is not necessary as it's a known problem.

Karl-Michael Schindler

2015-02-05 04:27

reporter   ~0080796

Thanks for fixing.

Issue History

Date Modified Username Field Change
2013-10-28 23:52 Karl-Michael Schindler New Issue
2013-10-29 13:24 Bart Broersma LazTarget => -
2013-10-29 13:24 Bart Broersma Note Added: 0071022
2013-10-29 13:24 Bart Broersma Status new => feedback
2013-10-29 18:43 Jesus Reyes Assigned To => Jesus Reyes
2013-10-29 18:43 Jesus Reyes Status feedback => assigned
2013-10-29 18:44 Jesus Reyes Note Added: 0071026
2013-10-29 18:46 Jesus Reyes Relationship added related to 0022542
2014-10-11 09:24 Jesus Reyes Fixed in Revision => 46512
2014-10-11 09:24 Jesus Reyes LazTarget - => 1.4
2014-10-11 09:24 Jesus Reyes Status assigned => resolved
2014-10-11 09:24 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-11 09:24 Jesus Reyes Resolution open => fixed
2014-10-11 09:24 Jesus Reyes Target Version => 1.4
2015-02-05 04:27 Karl-Michael Schindler Note Added: 0080796
2015-02-05 04:27 Karl-Michael Schindler Status resolved => closed